ubuntu/focal64 fails to mount Vagrant shared folders

Bug #1873506 reported by Jake Cobb
78
This bug affects 13 people
Affects Status Importance Assigned to Milestone
cloud-images
Undecided
John Chittum
linux (Ubuntu)
High
Seth Forshee
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

SRU Justification

Impact: When our kernel packaging was updated to build the virtualbox guest packages by downloading the dkms package, the modules were accidentally moved to linux-modules-extra instead of linux-modules. This has caused the modules to go missing in our Vagrant images.

Fix: Move the modules back to linux-modules.

Test Case: Build the kernel packages and confirm that the vboxguest and vboxsf drivers are now in linux-modules rather than linux-modules-extra.

Regression Potential: Since linux-modules is required, anyone who is using the vbox drivers will continue to have them after this change. Therefore the risk of regression is extremely low.

---

Attempting to `vagrant up` using the `ubuntu/focal64` box fails to mount the `/vagrant` shared folder. `ubuntu/bionic64` works as expected. Here is the Vagrant error message:

Vagrant was unable to mount VirtualBox shared folders. This is usually
because the filesystem "vboxsf" is not available. This filesystem is
made available via the VirtualBox Guest Additions and kernel module.
Please verify that these guest additions are properly installed in the
guest. This is not a bug in Vagrant and is usually caused by a faulty
Vagrant box. For context, the command attempted was:

mount -t vboxsf -o uid=1000,gid=1000 vagrant /vagrant

The error output from the command was:

: No such device

Revision history for this message
Jake Cobb (error404) wrote :

This problem can be worked around with the vagrant-vbguest plugin and VirtualBox 6.0.20 r137117 (Qt5.6.3). With VirtualBox 6.0.6 the plugin was not able to fix it because the guest additions would not compile for the included kernel. This does make the start-up time much slower because they are found to be missing and compiled on the fly during `vagrant up`.

Revision history for this message
Jake Cobb (error404) wrote :

I previously used the pre-release 20200418 base image; I upgraded to the first release 20200423.0.0 today and the problem is still there.

Robert C Jennings (rcj)
Changed in cloud-images:
status: New → Confirmed
tags: added: id-5ea2fffbe0f69035134ff94f
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Seth Forshee (sforshee)
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: Confirmed → In Progress
Seth Forshee (sforshee)
description: updated
Revision history for this message
Seth Forshee (sforshee) wrote :
Changed in linux (Ubuntu Eoan):
status: New → In Progress
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
Revision history for this message
Jake Cobb (error404) wrote :

Not sure how to test this as requested by the bot. I don't think just enabling proposed on an existing published image is sufficient. Are there proposed cloud image builds posted somewhere?

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Lothar Braun (constcast) wrote :

I performed a test with 5.4.0-30-generic on focal. The update in proposed fixes the problem for me as it provides the necessary kernel modules. I have not seen any problems with the new kernel version.

Jake Cobb (error404)
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Jake Cobb (error404) wrote :

Ok, I tested 5.3.0-52-generic on eoan, the modules are present, the system boots and runs normally.

vagrant@ubuntu-eoan:~$ ls -1 /lib/modules/5.3.0-52-generic/kernel/virtualbox-guest/*
/lib/modules/5.3.0-52-generic/kernel/virtualbox-guest/vboxguest.ko
/lib/modules/5.3.0-52-generic/kernel/virtualbox-guest/vboxsf.ko

tags: added: verification-done-eoan
removed: verification-needed-eoan
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (25.9 KiB)

This bug was fixed in the package linux - 5.4.0-31.35

---------------
linux (5.4.0-31.35) focal; urgency=medium

  * focal/linux: 5.4.0-31.35 -proposed tracker (LP: #1877253)

  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux (5.4.0-30.34) focal; urgency=medium

  * focal/linux: 5.4.0-30.34 -proposed tracker (LP: #1875385)

  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay

  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials

  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests

  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation

  * LIO hanging in iscsit_free_session and iscsit_stop_session (LP: #1871688)
    - scsi: target: iscsi: calling iscsit_stop_session() inside
      iscsit_close_session() has no effect

  * [ICL] TC port in legacy/static mode can't be detected due TCCOLD
    (LP: #1868936)
    - SAUCE: drm/i915: Align power domain names with port names
    - SAUCE: drm/i915/display: Move out code to return the digital_port of the aux
      ch
    - SAUCE: drm/i915/display: Add intel_legacy_aux_to_power_domain()
    - SAUCE: drm/i915/display: Split hsw_power_well_enable() into two
    - SAUCE: drm/i915/tc/icl: Implement TC cold sequences
    - SAUCE: drm/i915/tc: Skip ref held check for TC legacy aux power wells
    - SAUCE: drm/i915/tc/tgl: Implement TC cold sequences
    - SAUCE: drm/i915/tc: Catch TC users accessing FIA registers without enable
      aux
    - SAUCE: drm/i915/tc: Do not warn when aux power well of static TC ports
      timeout

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

  * amdgpu kernel errors in Linux 5.4 (LP: #1871248)
    - drm/amd/display: Stop if retimer is not available

  * Focal update: v5.4.34 upstream stable release (LP: #1874111)
    - amd-xgbe: Use __napi_schedule() in BH context
    - hsr: check protocol version in hsr_newlink()
    - l2tp: Allow management of tunnels and session in user namespace
    - net: dsa: mt7530: fix tagged frames pass-through in VLAN-unaware mode
    - net: ipv4: devinet: Fix crash when add/del multicast IP with autojoin
    - net: ipv6: do not consider routes via gateways for anycast address check
    - net: phy: micrel: use genphy_read_status for KSZ9131
    - net: qrtr: send msgs from local of same id as broadcast
    - net: revert default NAPI poll timeout to 2 jiffies
    - net: tun: record RX queue in skb before do_xdp_gener...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (38.1 KiB)

This bug was fixed in the package linux - 5.3.0-53.47

---------------
linux (5.3.0-53.47) eoan; urgency=medium

  * eoan/linux: 5.3.0-53.47 -proposed tracker (LP: #1877257)

  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux (5.3.0-52.46) eoan; urgency=medium

  * eoan/linux: 5.3.0-52.46 -proposed tracker (LP: #1874752)

  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - ALSA: hda: add Intel DSP configuration / probe code
    - ALSA: hda: fix intel DSP config
    - ALSA: hda: Allow non-Intel device probe gracefully
    - ALSA: hda: More constifications
    - ALSA: hda: Rename back to dmic_detect option
    - [Config] SND_INTEL_DSP_CONFIG=m
    - [packaging] Remove snd-intel-nhlt from modules

  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data

  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay

  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials

  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests

  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation

  * getitimer returns it_value=0 erroneously (LP: #1349028)
    - [Config] CONTEXT_TRACKING_FORCE policy should be unset

  * 5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0 (LP: #1872001)
    - drm/i915/execlists: Preempt-to-busy
    - drm/i915/gt: Detect if we miss WaIdleLiteRestore
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

  * Eoan update: upstream stable patchset 2020-04-22 (LP: #1874325)
    - ARM: dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high voltage
    - bus: sunxi-rsb: Return correct data when mixing 16-bit and 8-bit reads
    - net: vxge: fix wrong __VA_ARGS__ usage
    - hinic: fix a bug of waitting for IO stopped
    - hinic: fix wrong para of wait_for_completion_timeout
    - cxgb4/ptp: pass the sign of offset delta in FW CMD
    - qlcnic: Fix bad kzalloc null test
    - i2c: st: fix missing struct parameter description
    - cpufreq: imx6q: Fixes unwanted cpu overclocking on i.MX6ULL
    - media: venus: hfi_parser: Ignore HEVC encoding for V1
    - firmware: arm_sdei: fix double-lock on hibernate with shared events
    - null_blk: Fix the null_add_dev() error path
    - null_blk: Handle null_add_dev() failures properly
    - null_blk: fix spuri...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
John Chittum (jchittum)
Changed in cloud-images:
assignee: nobody → John Chittum (jchittum)
Revision history for this message
John Chittum (jchittum) wrote :

Focal and Eoan boxes with the above kernels have been pushed to Vagrant and verified. Please run a `vagrant box update` to get the latest versions.

Changed in cloud-images:
status: Confirmed → Fix Released
Revision history for this message
Jake Cobb (error404) wrote :

New images do not appear to be available quite yet, still getting the May 18 image.

$ vagrant box update
==> default: Checking for updates to 'ubuntu/focal64'
    default: Latest installed version: 20200518.0.0
    default: Version constraints:
    default: Provider: virtualbox
==> default: Box 'ubuntu/focal64' (v20200518.0.0) is running the latest version.

Revision history for this message
John Chittum (jchittum) wrote :

May 22nd was made available when I commented. Not sure why your update didn't find it. Maybe there's lag with specific mirrors. Official listings show them available:

https://app.vagrantup.com/ubuntu/boxes/focal64

https://app.vagrantup.com/ubuntu/boxes/eoan64

Revision history for this message
John Chittum (jchittum) wrote :

apologies -- the 0518 Focal image has the fix as well. That may not have been clear since the comments came on the 19th, and I updated on the 22nd. The eoan 22nd made it up on the 22nd, but there was lag with the Focal 0522 serial syncing on our end. It's up there now.

Revision history for this message
Jake Cobb (error404) wrote :

Confirmed, it is available now and fixes the issue.

Revision history for this message
Jake Cobb (error404) wrote :

Yes, there is some lag. Although the image is named 0522, it was not available until the 25th of May, note the created message from your link:

"v20200522.0.0 currently released version
This version was created about 24 hours ago."

I did test the 0518 focal image and it was not fixed, 0522 is the first that works.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-42.46

---------------
linux (5.4.0-42.46) focal; urgency=medium

  * focal/linux: 5.4.0-42.46 -proposed tracker (LP: #1887069)

  * linux 4.15.0-109-generic network DoS regression vs -108 (LP: #1886668)
    - SAUCE: Revert "netprio_cgroup: Fix unlimited memory leak of v2 cgroups"

linux (5.4.0-41.45) focal; urgency=medium

  * focal/linux: 5.4.0-41.45 -proposed tracker (LP: #1885855)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2019-19642
    - kernel/relay.c: handle alloc_percpu returning NULL in relay_open

  * CVE-2019-16089
    - SAUCE: nbd_genl_status: null check for nla_nest_start

  * CVE-2020-11935
    - aufs: do not call i_readcount_inc()

  * ip_defrag.sh in net from ubuntu_kernel_selftests failed with 5.0 / 5.3 / 5.4
    kernel (LP: #1826848)
    - selftests: net: ip_defrag: ignore EPERM

  * Update lockdown patches (LP: #1884159)
    - SAUCE: acpi: disallow loading configfs acpi tables when locked down

  * seccomp_bpf fails on powerpc (LP: #1885757)
    - SAUCE: selftests/seccomp: fix ptrace tests on powerpc

  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [packaging] add signed modules for the 418-server and the 440-server
      flavours

 -- Khalid Elmously <email address hidden> Thu, 09 Jul 2020 19:50:26 -0400

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Cilyan Olowen (gaknar) wrote (last edit ):

I still get the issue with the latest version of ubuntu/focal64 (several versions checked: 20210803.0.0, 20210802.1.0, 20210624.0.0). bionic64 and hirsute64 are both working fine.

$ vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Importing base box 'ubuntu/focal64'...
==> default: Matching MAC address for NAT networking...
==> default: Checking if box 'ubuntu/focal64' version '20210624.0.0' is up to date...
==> default: Setting the name of the VM: pxeserver_default_1628068101055_78025
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
==> default: Forwarding ports...
    default: 22 (guest) => 2222 (host) (adapter 1)
==> default: Running 'pre-boot' VM customizations...
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
    default: Warning: Connection reset. Retrying...
    default:
    default: Vagrant insecure key detected. Vagrant will automatically replace
    default: this with a newly generated keypair for better security.
    default:
    default: Inserting generated public key within guest...
    default: Removing insecure key from the guest if it's present...
    default: Key inserted! Disconnecting and reconnecting using new SSH key...
==> default: Machine booted and ready!
==> default: Checking for guest additions in VM...
==> default: Mounting shared folders...
    default: /vagrant => /home/***/***/***
Vagrant was unable to mount VirtualBox shared folders. This is usually
because the filesystem "vboxsf" is not available. This filesystem is
made available via the VirtualBox Guest Additions and kernel module.
Please verify that these guest additions are properly installed in the
guest. This is not a bug in Vagrant and is usually caused by a faulty
Vagrant box. For context, the command attempted was:

mount -t vboxsf -o uid=1000,gid=1000,_netdev vagrant /vagrant

The error output from the command was:

: Invalid argument

$ vagrant --version
Vagrant 2.2.16
$ pacman -Qi virtualbox | grep Version
Version : 6.1.26-1
$ pacman -Qi virtualbox-ext-oracle | grep Version
Version : 6.1.26-1

Revision history for this message
Ruslan Gainutdinov (ruslanfg) wrote :

I am also having error "Invalid argument" as shown in #19 comment.

Vagrant says:

mount -t vboxsf -o uid=1000,gid=1000,_netdev dist /dist

The error output from the command was:

/sbin/mount.vboxsf: mounting failed with the error: Invalid argument

dmesg says:

[ 10.792892] vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
[ 10.792962] vboxsf: Successfully loaded version 6.1.16_Ubuntu
[ 10.792987] vboxsf: Successfully loaded version 6.1.16_Ubuntu on 5.4.0-80-generic SMP mod_unload modversions (LINUX_VERSION_CODE=0x5047c)
[ 10.807936] 19:53:39.226512 main VBoxService 6.1.22_Ubuntu r144080 (verbosity: 0) linux.amd64 (Jun 22 2021 07:15:58) release log
               19:53:39.226514 main Log opened 2021-08-06T19:53:39.226504000Z
[ 10.807994] 19:53:39.226603 main OS Product: Linux
[ 10.808053] 19:53:39.226650 main OS Release: 5.4.0-80-generic
[ 10.808126] 19:53:39.226749 main OS Version: #90-Ubuntu SMP Fri Jul 9 22:49:44 UTC 2021
[ 10.808160] 19:53:39.226778 main Executable: /usr/sbin/VBoxService
               19:53:39.226779 main Process ID: 792
               19:53:39.226779 main Package type: LINUX_64BITS_GENERIC (OSE)
[ 10.819491] 19:53:39.238084 main 6.1.22_Ubuntu r144080 started. Verbose level = 0
[ 10.820412] 19:53:39.239016 main vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
[ 16.552729] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 16.552731] vbsf_read_super_aux err=-22
[ 16.574695] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 16.574697] vbsf_read_super_aux err=-22
[ 21.608093] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 21.608095] vbsf_read_super_aux err=-22
[ 26.638080] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 26.638082] vbsf_read_super_aux err=-22

Revision history for this message
Mark Waite (waitem) wrote :

I am also having the same "Invalid argument" error with 'ubuntu/focal64' version '20210803.0.0' when doing vagrant up.
Manually running the mount command from inside the guest machine brings the same error.
The host machine (also Ubuntu focal64) is running vagrant 2.2.18 and Virtualbox 6.1.22
I did note in the guest machine dmesg (see below), that it shows version 6.1.16_Ubuntu for vboxsf but VBoxService is version 6.1.22_Ubuntu. I

Output from vagrant up:

Mounting shared folders...
/vagrant => /home/xx/checkout
Vagrant was unable to mount VirtualBox shared folders. This is usually
because the filesystem "vboxsf" is not available. This filesystem is
made available via the VirtualBox Guest Additions and kernel module.
Please verify that these guest additions are properly installed in the
guest. This is not a bug in Vagrant and is usually caused by a faulty
Vagrant box. For context, the command attempted was:

mount -t vboxsf -o uid=1000,gid=1000,_netdev vagrant /vagrant

The error output from the command was:

/sbin/mount.vboxsf: mounting failed with the error: Invalid argument

dmesg output:
[ 9.581826] vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
[ 9.581876] vboxsf: Successfully loaded version 6.1.16_Ubuntu
[ 9.581890] vboxsf: Successfully loaded version 6.1.16_Ubuntu on 5.4.0-80-generic SMP mod_unload modversions (LINUX_VERSION_CODE=0x5047c)
[ 9.624089] 23:59:13.455579 main VBoxService 6.1.22_Ubuntu r144080 (verbosity: 0) linux.amd64 (Jun 22 2021 07:15:58) release log
               23:59:13.455582 main Log opened 2021-08-07T23:59:13.455569000Z
[ 9.624130] 23:59:13.455666 main OS Product: Linux
[ 9.624149] 23:59:13.455687 main OS Release: 5.4.0-80-generic
[ 9.624163] 23:59:13.455705 main OS Version: #90-Ubuntu SMP Fri Jul 9 22:49:44 UTC 2021
[ 9.624185] 23:59:13.455719 main Executable: /usr/sbin/VBoxService
               23:59:13.455719 main Process ID: 679
               23:59:13.455720 main Package type: LINUX_64BITS_GENERIC (OSE)
[ 9.628306] 23:59:13.459819 main 6.1.22_Ubuntu r144080 started. Verbose level = 0
[ 9.630916] 23:59:13.462430 main vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
[ 16.847539] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 16.847543] vbsf_read_super_aux err=-22
[ 16.939693] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 16.939697] vbsf_read_super_aux err=-22
[ 22.079670] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 22.079674] vbsf_read_super_aux err=-22
[ 27.219309] vboxsf: Invalid info signature: 0x75 0x69 0x64 0x3d!
[ 27.219313] vbsf_read_super_aux err=-22

Revision history for this message
Mark Waite (waitem) wrote :

Further to my previous comment #21 above, I have found a workaround to get the shared folders working again with the latest image. It appears that the problem is with the virtualbox-guest-utils package included in the image.

Here are the steps that I performed in order to get a virtualbox ubuntu/focal64 guest with shared folders working again:

Notes:
It is OK to use the latest "ubuntu/focal64" box version - this was tested on 20210803.0.0
In order to be able to Insert the Guest Additions CD image, make sure you have gui enabled in Vagrantfile as per: https://www.vagrantup.com/docs/providers/virtualbox/configuration#gui-vs-headless

vagrant halt
# With the guest powered off, in Virtualbox in the storage settings, add an IDE Optical drive. Select the Guest Additions CD image if already available.

vagrant up
# click on Device -> insert Guest Additions CD image (or select it, if available, when adding the optical drive)

vagrant ssh # into guest machine

# then in guest machine...
  sudo apt-get remove virtualbox-guest-utils
  sudo apt update
  sudo apt upgrade
  # inspired by: http://en.ig.ma/notebook/2012/virtualbox-guest-additions-on-ubuntu-server
  sudo apt-get install -y dkms build-essential
  sudo mount /dev/cdrom /mnt
  sudo /mnt/VBoxLinuxAdditions.run
  exit

# On host machine:
vagrant reload

# If all went well, the shared folders will now be working again. Disable gui in Vagrantfile if no longer needed

dmesg on guest now shows:
[ 11.087117] vboxvideo: loading version 6.1.22 r144080
[ 11.131885] 01:43:34.944899 main VBoxService 6.1.22 r144080 (verbosity: 0) linux.amd64 (Apr 28 2021 18:43:39) release log
               01:43:34.944901 main Log opened 2021-08-08T01:43:34.944892000Z
[ 11.131917] 01:43:34.944972 main OS Product: Linux
[ 11.131929] 01:43:34.944987 main OS Release: 5.4.0-80-generic
[ 11.131940] 01:43:34.944998 main OS Version: #90-Ubuntu SMP Fri Jul 9 22:49:44 UTC 2021
[ 11.131956] 01:43:34.945009 main Executable: /opt/VBoxGuestAdditions-6.1.22/sbin/VBoxService
               01:43:34.945009 main Process ID: 899
               01:43:34.945010 main Package type: LINUX_64BITS_GENERIC
[ 11.133106] 01:43:34.946143 main 6.1.22 r144080 started. Verbose level = 0
[ 11.137611] 01:43:34.950642 main vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
[ 17.071954] vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
[ 17.072174] *** VALIDATE vboxsf ***
[ 17.072181] vboxsf: Successfully loaded version 6.1.22 r144080
[ 17.072233] vboxsf: Successfully loaded version 6.1.22 r144080 on 5.4.0-80-generic SMP mod_unload modversions (LINUX_VERSION_CODE=0x5047c)

Revision history for this message
John Chittum (jchittum) wrote :

For all new commenters -- what you're experiencing is a new bug with similar symptoms, though slightly different root cause. Note the original bug was "no device found" and this is "Invalid argument."

This appears to be a new bug. I don't see an identical bug to this new issues, so i've opened https://bugs.launchpad.net/cloud-images/+bug/1939580 and copied over comments.

Please use issue 1939580 to track this bug

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers